#include "user3duobja.h"
#include "udata.h" 
//....


UobjA::UobjA(unsigned long ulID, bool bClone, bool bRegister) 
                         : Uobj(ulID, bClone, bRegister) {
	ihsoy = 128;
}


Uobj *UobjA::Clone(unsigned long ulID) const {
  UobjA *uoa = 0;
  if(!ulID) uoa = new UobjA(0,true);
  else      uoa = new UobjA(ulID,true);
  return((Uobj *)uoa);
}


void UobjA::write(Ufile &fi) const {
	Uobj::write(fi);
	Udata::Uwrite(fi,ihsoy);
}


void UobjA::read(Ufile &fi) {
	Uobj::read(fi);
	Udata::Uread(fi,ihsoy);
}


void UobjA::remap(void) {
}

